/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */



/* .e-con.e-flex > .e-con-inner {
padding-left: 30px;
padding-right: 30px;
} */

header#masthead div#header_inner {
	min-height: 102px;
} 
header#masthead:not(.scrolled):has(.menu-is-active) div#header_inner {
	background: var(--e-global-color-primary);
}
h1, h2, h3, h4, h5 {
	margin: 0;
}
.image_box {
	display: flex;
}
.comments-area a, .page-content a {
	text-decoration: none;
}
header#masthead.scrolled #header_inner {
	background: var(--e-global-color-primary);
}
.image_box .elementor-image-box-content:before {
	content: "";
	width: 1px;
	height: 36px;
	position: absolute;
	background: #ffffff4d;
	left: -15px;
}
.mySwiper .swiper-slide {
	flex-shrink: 0;
	height: auto;
	display: flex;
}
.swiper-wrapper .elementor-widget-button {
	margin-top: auto !important;
	padding-top: 32px !important;
}
.image_box .elementor-image-box-title {
	margin-top: 0;
}
.image_box figure a {
	display: block;
	width: 100%;
}
.image_box .elementor-image-box-content {
	position: relative;
}
.image_box .elementor-image-box-title a {
	font-size: unset;
	FONT-WEIGHT: 400;
	line-height: unset;
}

.image_box.dark .elementor-image-box-content::before {
	background: var(--e-global-color-0bf549d);
	top: 9.5px;
	left: -22px;
}
/* Global */
.clr_sec {
	color: var(--e-global-color-secondary);
}

body input,body select , body textarea {
	border: 1px solid #E6E6E6 !important;
	background: var( --e-global-color-f7a1a11 );
	padding: 15px 24px !important;
	border-radius: 50px !important;
	min-height: 57px;
}
.hfe-post-title a {
	font-size: unset;
	line-height: unset;
}
.footer_detail .image_box .elementor-image-box-content:before {
	height: 52px;
	left: -19px;
	top: 50%;
	transform: translateY(-50%);
}
.cta .image_box .elementor-image-box-content:before {
	top: 11px;
	left: -19px;
}
body textarea {
	border-radius: 16px !important;
	height: 130px;
}
body input:focus-visible, body select:focus-visible, body textarea:focus-visible {
	border-color: var(--e-global-color-secondary) !important;
	outline-color: var(--e-global-color-secondary) !important;
}
p.elementor-image-box-description a {
	font-size: unset;
}
.image_box p.elementor-image-box-description a {
	line-height: unset;
}
body select {
	background: url(/wp-content/uploads/2026/04/Vector-14.png) no-repeat 95% center;
	padding-right: 40px !important;
	appearance: none;
	background-color: var(--e-global-color-f7a1a11);  
	color: #58585A !important;
}

.hfe-nav-menu__layout-horizontal .hfe-nav-menu .sub-arrow {
	background: url(/wp-content/uploads/2026/04/chev.webp) no-repeat center / contain;
	width: 12px;
	height: 12px;
	margin-left: 6px;
}
.hfe-nav-menu__layout-horizontal .hfe-nav-menu .sub-arrow i {
	display: none;
}
.blog_sec .hfe-post-title {
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
}
#header_inner .image_box .elementor-image-box-content:before {
	top: -5px;
}
.swiper.service_swiper {

	padding: 10px 0 20px 0;
}
.blog_sec .hfe-post-content .hfe-post-excerpt {
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	margin-bottom: 34px !important;
	position: relative;
	border: 0 !important;
}

.swiper-wrapper .swiper-slide {
	display: flex;
}
.blog_sec .hfe-post-content a.hfe-read-more {
	position: relative;
	background: url(/wp-content/uploads/2026/04/Frame-1000014806.png)  no-repeat left 30px top 18px / 23px  !important;
	padding: 18px 22px 0px 66px !important;
	margin: 0 !important;
}
.blog_sec .hfe-post-content a.hfe-read-more::before {
	content: '';
	position: absolute;
	width: 100%;
	height: 1px;
	left: 0;
	background: #E6E6E6;
	top: -4px;
}

.theme_list span.elementor-icon-list-text {
	padding: 0 !important;
}
.theme_list svg {
	margin-right: 6px !important;
} 
.theme_list span.elementor-icon-list-icon {
	padding-right: 0 !important;
} 
body {
	overflow-x: hidden;
} 
.call_btn a, .mail_btn a {
	padding: 13.5px 24px 13.5px 24px;
	background: #2e3e4e;
	color: #fff !important;
	border-radius: 50px;
	FONT-WEIGHT: 500 !important;
}
.single_cta_inner p a:hover {
	opacity: 50%;
}
.mail_btn a {
	background: var( --e-global-color-secondary );
	color: var( --e-global-color-baa7a29 ) !important;
} 

.theme_call_btn svg {
	width: 49px;
	height: 49px;
	padding: 4px;
	box-sizing: content-box;
}

.theme_call_btn .elementor-button-content-wrapper {
	gap: 12PX;
	align-items: center;
	padding-right: 20px;
}

.site_logo a {
	display: flex;
} 
.image_box .elementor-image-box-img a {
	display: flex;
}
.hfe-post-card .hfe-post-image img {
	height: 320px;
	object-fit: cover;
}

/* ===== GRID ===== */
.blog-grid {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 32px;
}

/* ===== CARD ===== */
.blog-card {
	background: #fff;
	border-radius: 16px;
	overflow: hidden;
	border: 1px solid #E6E6E6;
}
.elementor .blog-image {
	width: 100%;
	height: 235px;
	object-fit: cover;
	display: block;
}

.blog-title a {
	color: #2E3E4E;
	transition: 0.2s linear;
	font-size: 20px;
	line-height: 1.35;
}
.blog-content-btn {
	padding: 21px 32px 17px;
	border-top: 1px solid #E6E6E6;
	margin-top: auto;
}

.blog-content {
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	height: calc(100% - 235px);
}

.blog-card-inner {
	height: 100%;
}

.blog-image {
	width: 100%;
	height: 235px;
	object-fit: cover;
	display: block;
}

/* CONTENT */
.blog-content-inner {
	padding: 32px 32px 30px;
}

.blog-author {
	color: #58585A;
	text-transform: capitalize;
	display: flex;
	align-items: center;
	gap: 8px;
}

/* TITLE */
.military_post h3.blog-title {
	font-size: 20px;
	font-weight: 500;
	margin: 8px 0 16px;
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
}

/* EXCERPT */
.blog-excerpt {
	color: #58585A;
	line-height: 1.6;
}

/* READ MORE */
a.read-more {
	color: #2E3E4E;
	text-decoration: none;
	padding-left: 34px;
	background: url(/wp-content/uploads/2026/04/Frame-1000014806.png) no-repeat left center;
	line-height: 1.556;
	display: inline-block;
}
a.read-more:hover {
	text-decoration: underline;
}
.elementor-button-content-wrapper {
	align-items: center;
}
.x_clip {
	overflow-x: clip;
}
.footer_detail .image_box {
	backdrop-filter: blur(20px);
}
header#masthead nav.hfe-nav-menu__layout-horizontal.hfe-dropdown {
	overflow-y: auto;
	max-height: calc(100vh - 95px);
}

.elementor-widget-image-box .elementor-image-box-title a {
	color: inherit;
}
iframe[title="reCAPTCHA"] {
	z-index: 999999;
	position: relative;
} 
.grecaptcha-badge {
	z-index: 999999999999 !important;
}
.form-group.submit-field input:hover, .form-group.submit-field input:focus {
	background-image: url(https://expertaccidentreconstruction.com/wp-content/uploads/2026/04/Arrow-28-1.webp);
}
.single_blog_inner .single_cta a.wp-element-button{
	border-radius: 50px;
}
.home_bg.elementor-widget.elementor-widget-image {
	height: 100%;
}

li.mobile_menu_item.menu-item {
	display: none;
}
@media (max-width: 1650px) and (min-width: 1201px) {
	.e-con.e-flex > .e-con-inner {
		padding-left: 20px;
		padding-right: 20px;
	}
	.elementor-element.max100 {
		max-width: 100%;
	}
}
@media(max-width:1650px){
	.image_box_ly3 p.elementor-image-box-description {
		min-height: 54px;
	}
	.swiper-wrapper .elementor-widget-button {
		padding-top: 23px !important;
	}
	.blog-content-inner {
		padding: 25.28px;
	}
	.blog-grid {
		gap: 25.28px;
	}
	span.author-icon img {
		width: 19px;
	}
	.blog-author {
		margin-bottom: 6px;
	}
}
@media(max-width:1200px){
	.blog-grid {
		grid-template-columns: repeat(2, 1fr);
	}
	#header_inner .image_box .elementor-image-box-content:before{
		display: none;
	}
	#header_inner .image_box figure.elementor-image-box-img {
		margin-right: 5px;
	}
	#header_inner .image_box .elementor-image-box-wrapper {
		gap: 4px;
	}
}

@media(max-width:1024px){
	.image_box_ly3:last-child:after, .image_box_ly3:nth-child(2)::after {
		opacity: 0;
	}
	li.mobile_menu_item.menu-item {
		display: block;
	}
	.hfe-nav-menu__breakpoint-tablet .hfe-active-menu+.hfe-nav-menu__layout-horizontal .hfe-nav-menu {
		visibility: visible;
		opacity: 1;
	}
	.hfe-nav-menu__breakpoint-tablet .hfe-active-menu.hfe-active-menu-full-width+.hfe-nav-menu__layout-horizontal .hfe-nav-menu {
		position: relative;
	}
	header#masthead nav.hfe-nav-menu__layout-horizontal.hfe-dropdown {
		overflow-y: auto;
		max-height: calc(100vh - 95px);
	}
	.hfe-active-menu.hfe-active-menu-full-width+.hfe-nav-menu__layout-expandible, 
	.hfe-active-menu.hfe-active-menu-full-width+.hfe-nav-menu__layout-horizontal, 
	.hfe-active-menu.hfe-active-menu-full-width+.hfe-nav-menu__layout-vertical {
		position: absolute;
		top: 100%;
	}
	.hfe-nav-menu__breakpoint-tablet .hfe-active-menu+.hfe-nav-menu__layout-horizontal, 
	.hfe-nav-menu__breakpoint-tablet .hfe-active-menu+.hfe-nav-menu__layout-vertical {
		visibility: visible;
		opacity: 1;
		height: auto;
	}
	.hfe-nav-menu__breakpoint-tablet .hfe-active-menu.hfe-active-menu-full-width+.hfe-nav-menu__layout-horizontal, 
	.hfe-nav-menu__breakpoint-tablet .hfe-active-menu.hfe-active-menu-full-width+.hfe-nav-menu__layout-vertical {
		position: absolute;
	}
	.elementor-element.header_menu_column {
		width: 40px;
		order: 1;
	}

}


@media(max-width:767px){
	.swiper_btns {
		justify-content: center !important;
	}

}
@media(max-width:575px){
	.elementor-image-box-description a {
		word-break: break-word;
	}

	.image_box .elementor-image-box-wrapper {
		display: flex;
		gap: 30px;
		align-items: center;
	} 
	.hfe-breadcrumbs {
		display: flex !important;
		align-items: center;		
		flex-wrap: wrap;
		overflow-x: auto;
		white-space: nowrap;
		gap: 4px;
		padding-bottom: 5px;
		scrollbar-width: none;
	}

	.hfe-breadcrumbs::-webkit-scrollbar {
		display: none;
	}

	.hfe-breadcrumbs-item,
	.hfe-breadcrumbs-separator {
		flex-shrink: 0;
	}

	.hfe-breadcrumbs-separator svg {
		width: 10px;
		height: 10px;
	}

	.blog-grid {
		grid-template-columns: repeat(1, 1fr);
	}
	.blog-content-inner {
		padding: 20px;
	}
	.blog-content-btn {
		padding: 21px 20px 17px;
	}

}